<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Index</title>

    <!-- CSS -->
    <link rel="stylesheet" href="index.css">
    <link rel="icon" href="favicon.ico">

    

    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.0/css/bootstrap.min.css'>
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css'>
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.css'>
    

     <!-- Bootstrap -->
     <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
     <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
 
     <!-- Icons -->
     <script src="https://kit.fontawesome.com/99bdbc31f3.js" crossorigin="anonymous"></script>

     <!-- JS -->
     <script src="script.js"></script> 
     <script src="search.js"></script>>
     <script src="top100.js"></script>
     <script src="trending.js"></script>

     
     <!-- <script>
        window.console = window.console || function(t) {};
      </script>
      
        <script>
        if (document.location.search.match(/type=embed/gi)) {
          window.parent.postMessage("resize", "*");
        }
      </script> -->

      <script src="https://cpwebassets.codepen.io/assets/common/stopExecutionOnTimeout-2c7831bb44f98c1391d6a4ffda0e1fd302503391ca806e7fcc7b9b87197aec26.js"></script>

     <script src='https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.1/jquery.min.js'></script>
     <script src='https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js'></script>

      

     

</head>
<body>
    <section id="navBa">
        <div class="container-fluid">
            <!-- Nav Bar -->
            
            <nav class="navbar navbar-expand-lg navbar-dark bg-body-tertiary fixed-top">
              
                <a class="navbar-brand"  href="index.html"><img src="Logo.png" alt="Bootstrap" width="194" height="57.5"></a>
      
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
                </button>

                

                <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
                  <ul class="navbar-nav ms-auto">
                    <li class="nav-item">
                      <a href="index.html" class="nav-item nav-link btn" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasWithBothOptions" aria-controls="offcanvasWithBothOptions"><i class="fa-solid fa-person"></i></a>
                    </li>
                    <li class="nav-item">
                      <a href="about us.html" class="nav-item nav-link">About</a>
                    </li>
                    <li class="nav-item">
                      <a href="how it works.html" class="nav-item nav-link">How it works</a>
                    </li>
                    <li class="nav-item">
                      <a href="Contact Us.html" class="nav-item nav-link">Contact us</a>
                    </li>
                    <li class="nav-item">
                      <a href="service.html" class="nav-item nav-link">Trending</a>
                    </li>
                    <li class="nav-item">
                      <a href="Contact Us.html" class="nav-item nav-link">Browse movies</a>
                    </li>
                  </ul>
                </div>
            </nav>
          </div>
    </section>

     <!-- OffCanvas --> 

    <section id="offcanvas">
      <div class="offcanvas offcanvas-start" data-bs-scroll="true" tabindex="-1" id="offcanvasWithBothOptions" aria-labelledby="offcanvasWithBothOptionsLabel">
        <div class="offcanvas-header">
          <h5 class="offcanvas-title" id="offcanvasWithBothOptionsLabel">Get more personalized</h5>
          <button type="button" class="btn-close btn-outline-light" data-bs-dismiss="offcanvas" aria-label="Close"></button>
        </div>
        <div class="offcanvas-body">
          
          <!-- ML -Facial Expression Part -->
            <button type="button" class="btn btn-outline-light"><i class="fa-solid fa-camera camera-btn"></i></button>
            <button type="button" class="btn camera-info-btn btn-dark"><i class="fa-solid fa-circle-info"></i></button>

            <!-- <div class="hover-text camera-hover">Little description about Facial Expression.</div> -->
          
           <!-- ML -Social Media Analysis Part --> 
           <button type="button" class="btn btn-outline-primary click-button"><i class="fa-brands fa-twitter twitter-btn"></i></button>
            <button type="button" class="btn twitter-info-btn btn-dark"><i class="fa-solid fa-circle-info"></i></button>

            <!-- <div class="hover-text twitter-hover">Little description about Twitter Expression.</div> -->
            <div class="click-text">
              <form>
                <input type="text" id="text-field">
                <button type="submit"><i class="fa-solid fa-magnifying-glass"></i></button>
              </form>
          </div>
          
        </div>
      </div>
     </section>

     <section id="carousel">

        <!-- Carseaul -->

        <div id="header-carousel" class="carousel slide carousel-fade" data-bs-ride="carousel" data-bs-pause="hover">
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img class="w-100" src="carousel-1.jpg" alt="Image">
                    <div class="carousel-caption d-flex h-100 align-items-center justify-content-center">
                        <div class="p-3" style="max-width: 900px;">
                            <h5 class="text-white text-uppercase mb-3 animated slideInDown">Watchflix</h5>
                            <h1 class="display-1 text-white mb-md-1 animated zoomIn">Is the next gen movie recomendation system!</h1>

                           
                           
                            <!-- Search bar -->
                             <div class="search-bar">
                                <input type="search"  id="search-input" name="search" pattern=".*\S.*" required>
                                <button class="search-btn" id="search-button">
                                    <span>Search</span>
                                </button>
                              </div>
                        </div>
                    </div>
                </div>
                <div class="carousel-item">
                    <img class="w-100" src="carousel-2.jpg" alt="Image">
                    <div class="carousel-caption d-flex h-100 align-items-center justify-content-center">
                        <div class="p-1" style="max-width: 900px;">
                            <h3 class="text-white text-uppercase mb-3 animated slideInDown">Watchflix</h3>
                            <h1 class="display-1 text-white mb-md-4 animated zoomIn"> Watch movies that fits into your mood</h1>

                            <!-- Search bar -->
                            <!-- <div class="search-bar">
                              <input type="search"  id="search-input" name="search" pattern=".*\S.*" required>
                              <button class="search-btn" id="search-button">
                                  <span>Search</span>
                              </button>
                            </div> -->

                        </div>
                    </div>
                </div>
            </div>
            <button class="carousel-control-prev" type="button" data-bs-target="#header-carousel"
                data-bs-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Previous</span>
            </button>
            <button class="carousel-control-next" type="button" data-bs-target="#header-carousel"
                data-bs-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Next</span>
            </button>
        </div>
    </div>
    </section>

    <!-- Suggested movies -->

    

    <!-- Search movies -->
    <section class="game-section">
        <h2 class="line-title">What you're looking for</h2>
         <div class="owl-carousel owl-theme search-carousel">
         </div>
         <div class="resultContainer" style="background-color: red;"></div>
    </section>

    <!-- Trending movies -->

    <section class="game-section">
        <h2 class="line-title">Trending Movies</h2>
         <div class="owl-carousel owl-theme trending-carousel">
         </div>
         <div class="resultContainer" style="background-color: red;"></div>
    </section>

    <!-- Most rated movies -->

    <section class="game-section">
        <h2 class="line-title">Most rated movies</h2>
         <div class="owl-carousel owl-theme top100-carousel">
         </div>
         <div class="resultContainer" style="background-color: red;"></div>
    </section>

    
</body>
</html>